Subject: Acorn (Was Re: Reading PDP-8 paper tapes)

From: Graham Toal <[email-masked]>
Date: Mon Jun 30 20:39:00 2003

> I have a couple of Acorn Systems (one 6502, the other 6809-based). I am
> always looking for any of the more unusual I/O cards for them....

OK, refresh my memory here... what Acorn 6809 system would that be?

I was only aware of two - one by Brian Jones which was a large hand-
made breadboarded circuit he did as an experiment, and which ran FLEX,
and one that I made which was a BBC second processor - *both* of
which I have here at home.  I don't remember Acorn making any
production 6809 systems???  I have the original circuit diagram
on tracing paper that Brian drew.  My own was so simple (5 packages
as I recall) that I didn't bother drawing a diagram :-)  [I just
worked from an ascii wiring list]  I did two versions - the first was

CPU
TUBE
ls139? (some single ttl chip for address decoding the tube)
2*32K 'greenwich instruments' battery-backed static rams

I pre-loaded the static ram on a beeb with the boot code, so didn't need
an eprom at all!

the second was
CPU
TUBE
Eprom
64K dynamic ram SIL (first SIL I ever saw!)
Custom dynamic memory controller IC

I was working on VLSI design tools at the time, and I designed the memory
controller chip as my test piece.  It was a PLA and a counter for ram
refresh, not much else.

[I found a 'work in progress' kernel source for my 6809 2nd proc earlier
this year - written in Skimp, which was a compiler I had written myself
as a University project; the compiler itself was written in the
Edinburgh language Imp77 - Acorn actually had commissioned Imp77
compilers for both the 32016 and the ARM - and we recently found
the full sources of the 3L ARM Imp (and Pascal) compilers at Edinburgh
as part of our Edinburgh Computer History Project research!]

It would have been a tremendously cheap second processor to build
but Roger was quite set against the 6809 on the sole argument of
clock speed.  My argument was that it was a nicer processor and
would have more high-level software than the 6502.  Probably was
true at the time although the 6502 did eventually get a whole
slew of high level languages that I never would have thought
possible.  (I shared a house with the guy who worked on the
Pascal compiler who I would occasionally give gratuitous advice
to, and I also learned C while doing SQA of the C compiler)

(quickly checks the web...)

Well!  http://www.stairwaytohell.com/atom/adverts/FLYER_Acorn_6809.png

Never seen it in my life.  It must have come and gone before I
joined Acorn (I forget the year but it was post Beeb but pre-Electron)

Other obscure Acorn kit that I have:  the "Prophet" - a version of
the Atom targetted at businesses.  Never seen a single mention of
it on the net.  I have the Z80 second processor, various ARMs,
I think a 286, a few 32016's - and a working ACW although it
was having Beeb-side problems last time I tried it.

Some day I'll photograph my acorn goodies and let you know
what's available.  Any cards I can put in a padded envelope
and mail to anyone are fair game; the larger systems like the
System 4 filestore and the ACW I'll be hanging on to.  The
atoms and electrons I could be persuaded to part with though
they're easy to find anyway and I doubt you'd want mine.  If
anyone in the US has an Amercian Beeb (110V and NTSC) I'll
be all over them to trade :-) - it would be a real boon
for recovering the data from my boxes of 5.25" disks...

Another project I did at Acorn was design a system for backing
up hard discs to video tape.  It used the teletext video chips
(SA5050? - one of those SA chips anyway) to generate/decode a video
signal.  The actual board design was done by a new engineer
who had been hired (Martin Gilbert) and was being broken in gently
before being given any serious work.  Hugo (file-system author)
did the software.  I believe the prototype actually worked
but like most of my stuff at acorn it never made it to market :-/

Despite not contributing greatly to the financial success of
Acorn, I have to say however that good times were had by all...
it was definitely the best place I ever worked.

G
PS My main 'beeb' project before I transferred to VLSI CAD was
the Teletext adapter.  I found the source code recently if anyone
wants it.  I can't see Acorn giving me a hard time over
releasing it after all these years...

---

From: [email-masked] (Tony Duell)
Date: Tue Jul 1 16:31:58 2003

> OK, refresh my memory here... what Acorn 6809 system would that be?

Well, it's basically a System 4 (4 3U racks, top one contianing a pair of 
5.25" floppies, bottom one cotnaining a row of Eurocards). The CPU board 
has a 6809 processor, monitor ROM, keyboard interface, etc. There's also 
7 of the 8K SRAM cards, an 80 column VDU card, the 8271-based FDC, and 
IIRC one of the serial/parallel I/O cards

I have no idea if it ever made commercial production. I do have a spare 
CPU card for it (obtained separately) which has the monitor ROM with 
routines for the 40 colum 'Teletext' VDU card. I also have the CPU board 
manual (giving schematics and source code for the 40 column version of 
the ROM) and it looks like a commercial product.

> made breadboarded circuit he did as an experiment, and which ran FLEX,

Mine runs Flex....

> the Atom targetted at businesses.  Never seen a single mention of

Interesting. Never heard of that one...

> what's available.  Any cards I can put in a padded envelope

Let me know what 'spare' cards you have, then :-)....

> releasing it after all these years...

I'd be interested in seeing it sometime. I don't have the teletext 
adapter (yet!), but I do have the schematics and loads of SAA50x0 series 
chips so I could always have a go at making one...

-tony

---

From: "Witchy" <[email-masked]>
Date: Sat Jul 5 15:11:33 2003

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Tony Duell
> Sent: 01 July 2003 22:01
> To: [email-masked]
> Subject: Re: Acorn (Was Re: Reading PDP-8 paper tapes)
>

It's been posted here before, and for some reason we ended up with the
concensus that ths machine was targetted at the Dutch market, I think
because someone in Holland has one. A list member here has one too I think.
No mention of Acorn on the case, and isn't the case painted red or
something?

Ah! A swift google turns up this (not much use to you, Tony, but there's
text there too)

http://www.astro.livjm.ac.uk/~bbc/pictures/atom/computer/

which is a prophet2. I knew there was red in there somewhere :)

cheers

--
adrian/witchy
www.binarydinosaurs.co.uk - the online computer museum
www.snakebiteandblack.co.uk - monthly gothic shenanigans